TechDraw RadiusDimension: Difference between revisions

From FreeCAD Documentation
No edit summary
(relink module to workbench)
Line 5: Line 5:
|[[TechDraw_Dimension_Vertical|Dimension Vertical]]
|[[TechDraw_Dimension_Vertical|Dimension Vertical]]
|[[TechDraw_Dimension_Diameter|Dimension Diameter]]
|[[TechDraw_Dimension_Diameter|Dimension Diameter]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_Dimension_Vertical.svg
|IconL=TechDraw_Dimension_Vertical.svg
|IconR=TechDraw_Dimension_Diameter.svg
|IconR=TechDraw_Dimension_Diameter.svg
Line 15: Line 15:
|Name=TechDraw Dimension Radius
|Name=TechDraw Dimension Radius
|MenuLocation=TechDraw → Dimension Radius
|MenuLocation=TechDraw → Dimension Radius
|Workbenches=[[TechDraw_Module|TechDraw]]
|Workbenches=[[TechDraw_Workbench|TechDraw]]
|SeeAlso=[[TechDraw_Dimension_Diameter|TechDraw Dimension Diameter]]
|SeeAlso=[[TechDraw_Dimension_Diameter|TechDraw Dimension Diameter]]
}}
}}
Line 74: Line 74:
|[[TechDraw_Dimension_Vertical|Dimension Vertical]]
|[[TechDraw_Dimension_Vertical|Dimension Vertical]]
|[[TechDraw_Dimension_Diameter|Dimension Diameter]]
|[[TechDraw_Dimension_Diameter|Dimension Diameter]]
|[[TechDraw_Module|TechDraw]]
|[[TechDraw_Workbench|TechDraw]]
|IconL=TechDraw_Dimension_Vertical.svg
|IconL=TechDraw_Dimension_Vertical.svg
|IconR=TechDraw_Dimension_Diameter.svg
|IconR=TechDraw_Dimension_Diameter.svg

Revision as of 18:47, 24 August 2021

TechDraw Dimension Radius

Menu location
TechDraw → Dimension Radius
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw Dimension Diameter

Description

The Dimension Radius tool adds a radius dimension to a View. The dimension may be applied to any Edge in the drawing which is a circle or circular arc. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the Link Dimension tool.


Measuring a circle, indicating the radius

Usage

  1. Select a circle or circular arc in the drawing. (Note some arcs which appear to be circular are actually ellipses or BSplines. You cannot make a radius dimension in these cases)
  2. Press the Dimension Radius button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described in this page.

To change the properties of a dimension object either double-clicking it in the drawing or in the Tree view. This will open the dimension dialog.

Limitations

Dimension objects are vulnerable to "topological naming" issues. See the information in the TechDraw Dimension Length tool for more information.

Properties

This object has the same properties as the TechDraw Dimension Length tool. See that tool for details.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Dimension Radius tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Radius"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)